Bug 19389

Summary: querySelectorAll exception while searching invalid CSS selector
Product: WebKit Reporter: Anthony Ricaud <rik>
Component: Web Inspector (Deprecated)Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: aroben, timothy
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
Proposed patch timothy: review+

Description Anthony Ricaud 2008-06-04 03:41:04 PDT
This exception fires on line 983 in inspector.js.
SYNTAX_ERR: DOM Exception 12 inspector.js (line 983)

It blocks searches like "head>".
Comment 1 Anthony Ricaud 2008-07-06 14:08:09 PDT
Created attachment 22118 [details]
Proposed patch
Comment 2 Matt Lilek 2008-07-10 16:08:08 PDT
Committed revision 35107.